{% extends 'Default/index.html.twig' %}
{% block title %}{{ title|trans() }} - Stanza del cittadino{% endblock %}

{% block main_content %}
  <section class="page-homepage bg-white" id="sezione-argomenti-in-evidenza">
    <div class="py-5 position-relative">
      <div class="background"></div>
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <h3 class="mb-4 block-title text-white">{{ 'pratica.pratiche_in_evidenzia' | trans }}</h3>
          </div>
        </div>
        <div class="container">
          <div class="row mx-lg-n3">
            {% for s in pending %}
              <div class="col-md-6 col-lg-4 px-lg-3 pb-lg-3">
                <div class="card-wrapper card-space ">
                  <div class="card  card-bg rounded shadow">
                    <div class="card-body">
                      <div class="card-icon mb-3">
                        <svg class="icon m-0">
                          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-folder"></use>
                        </svg>
                      </div>
                      <h5 class="card-title big-heading h-title">{{ s.name[:45] ~ (s.name|length > 45 ? '...') }}</h5>
                      <p class="font-weight-bold">{{ 'user.dashboard.ultime_pratiche' | trans }}:</p>
                      <div class="link-list-wrapper">
                        <ul class="link-list">
                          {% for p in s.applications %}
                            <li class="pb-1 d-flex justify-content-between align-items-center">
                              {% if p.status == constant('STATUS_PAYMENT_PENDING', p) %}
                                <a class="d-inline p-0" href="{{ path('pratiche_compila', {'pratica': p}) }}">
                                  {{ include('Pratiche/parts/list_pratice.html.twig') }}
                                </a>
                              {% elseif p.status == constant('STATUS_DRAFT', p) %}
                                <a class="d-inline p-0" href="{{ path('pratiche_compila', {'pratica': p}) }}">
                                  {{ include('Pratiche/parts/list_pratice.html.twig') }}
                                </a>
                              {% elseif p.status == constant('STATUS_REQUEST_INTEGRATION', p) or p.status == constant('STATUS_DRAFT_FOR_INTEGRATION', p) %}
                                <a class="d-inline p-0" href="{{ path('pratica_show_detail', {'pratica': p,'tab':'note'}) }}">
                                  {{ include('Pratiche/parts/list_pratice.html.twig') }}
                                </a>
                              {% else %}
                                <a class="d-inline p-0" href="{% if feature('feature_application_detail') %}{{ path('pratica_show_detail', {'pratica': p}) }}{% else %}{{ path('pratiche_show', {'pratica': p}) }}{% endif %}">
                                  {{ include('Pratiche/parts/list_pratice.html.twig') }}
                                </a>
                              {% endif %}

                              {% if p.status == constant('STATUS_PAYMENT_PENDING', p) %}
                                <small><span class="badge badge-secondary">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% elseif p.status == constant('STATUS_DRAFT_FOR_INTEGRATION', p) %}
                                <small><span class="badge badge-warning">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% elseif p.status == constant('STATUS_COMPLETE', p) %}
                                <small><span class="badge badge-success">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% elseif p.status == constant('STATUS_CANCELLED', p) %}
                                <small><span class="badge badge-danger">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% elseif p.status == constant('STATUS_DRAFT', p) %}
                                <small><span class="badge badge-warning">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% elseif p.status == constant('STATUS_PRE_SUBMIT', p) %}
                                <small><span class="badge badge-secondary">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% elseif p.status == constant('STATUS_SUBMITTED', p) %}
                                <small><span class="badge badge-secondary">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% else %}
                                <small><span class="badge badge-secondary">{{ ('pratica.dettaglio.stato_'~p.status)|trans() }}</span></small>
                              {% endif %}
                            </li>
                          {% endfor %}
                        </ul>
                      </div>

                      <a class="read-more" href="{{ path('pratiche_list', {'service': s.slug}) }}">
                        <span class="text">{{ 'pratica.vedi_tutte' | trans }}</span>
                        <svg class="icon">
                          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-right"></use>
                        </svg>
                      </a>

                    </div>
                  </div>
                </div>
              </div>
            {% endfor %}

          </div>


          <div class="row">
            <div class="col text-center">
              <a class="btn btn-primary" href="{{ path('pratiche_list') }}">
                <svg class="icon icon-white">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-files"></use>
                </svg>
                {{ 'pratica.vedi_tutte' | trans }}
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

{% endblock %}
